#include <iostream>
#include <algorithm>
using namespace std;
#define ll long long
ll i;
ll sovt(ll br,ll niz[]){
	int ij=0;
	while(br!=niz[ij]){
		++ij;
	}
	return ij;
}
bool pr(ll niz[],ll niz1[],ll n){
	for(i=0;i<n;++i){
		if(niz[i]!=niz1[i]){
			return false;
		}
	}
	return true;
}
int main(){
    ll n,a[10],a1[10],a2[10],ij=0,br99=0,ij1=0;
    cin>>n;
    for(i=0;i<n;++i){
        cin>>a[i];
        a1[i]=a[i];
    }
    sort(a1,a1+n);
    for(i=n-1;i>=0;--i){
    	a2[ij]=a1[i];
    	++ij;
	}
    if(n==2){
        cout<<a[1]<<" "<<a[0];
        return 0;
    }
    else if(pr(a,a2,n)){
    	for(i=0;i<n;++i){
    		cout<<a[i]<<" ";
		}
		return 0;
	}
    else{
		for(i=0;i<n;++i){
			if(a[i]!=a2[i]){
				br99=a2[i];
				ij1=sovt(br99,a);
				swap(a[i],a[ij1]);
			}
		}
    }
    for(int i=0;i<n;++i){
    	cout<<a[i]<<" ";
	}
    return 0;
}